org.eclipse.emf.cdo.spi.server

## Class StoreAccessorBase.CommitDataRevisionHandler

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.StoreAccessorBase.CommitDataRevisionHandler

- All Implemented Interfaces:
    CDORevisionHandler
  Enclosing class:
    StoreAccessorBase

      public static class StoreAccessorBase.CommitDataRevisionHandler
      extends java.lang.Object
      implements CDORevisionHandler

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

      `CDORevisionHandler.Filtered`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitDataRevisionHandler(IStoreAccessor storeAccessor, long timeStamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitData` | `getCommitData()`
    `boolean` | `handleRevision(CDORevision rev)` Handles a revision.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitDataRevisionHandler

          public CommitDataRevisionHandler(IStoreAccessor storeAccessor,
                                           long timeStamp)

  - ### Method Detail

    - #### getCommitData

          public CDOCommitData getCommitData()

    - #### handleRevision

          public boolean handleRevision(CDORevision rev)

      Description copied from interface: `CDORevisionHandler`
      Handles a revision.
      Specified by:
        `handleRevision` in interface `CDORevisionHandler`
      Returns:
        `true` to indicate that the caller may pass more revisions, `false` otherwise.
      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html